# DJAqua
#    description:   A plugin to announce a track's artist and title before and after play
#    author:        Richard Schwarting (aquarichy@gmail.com)
#    license:       GPL2
#    (out of) date: 2009/04/06

# Copyright (C) 2009 Richard Schwarting
#
#     This program is free software; you can redistribute it and/or modify
#     it under the terms of the GNU General Public License as published by
#     the Free Software Foundation; either version 2 of the License, or
#     (at your option) any later version.
#
#     This program is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.
#
#     You should have received a copy of the GNU General Public License
#     along with this program; if not, write to the Free Software
#     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import sys
import gconf

# Provides an API for accessing our configuration, only through gconf right now
class DJAquaConf:
    def __init__(self):
        self.dim_volume = True # TODO: should grab from gconf
        self.debug_on = False
        self.current_output_module = ""
        self.gconf = gconf.client_get_default()

    def to_key(self, keyname):
        key = "/apps/rhythmbox/plugins/DJAquaPlugin/%s" % keyname
        return key

    def get_debug(self):
        return self.gconf.get_bool(self.to_key("debug")); 



    def get_volume_dimming(self):
        return self.gconf.get_bool(self.to_key("dim_volume")); 

    def get_output_module(self):
        return self.gconf.get_string(self.to_key("output_module"))

    def get_voice(self, output_module=None):
        if output_module is None:
            output_module = self.get_output_module()
        return self.gconf.get_string(self.to_key("%s_voice" % str(output_module)))



    def set_volume_dimming(self, dim_volume):
        self.gconf.set_bool(self.to_key("dim_volume"), dim_volume)

    def set_output_module(self, output_module):
        self.gconf.set_string(self.to_key("output_module"), output_module)

    def set_voice(self, voice, output_module=None):
        if output_module is None:
            output_module = self.get_output_module()
        self.gconf.set_string(self.to_key("%s_voice" % str(output_module)), str(voice))
    
        
        
    
    
